psa_aead_operation_s Struct Reference

`#include <crypto_struct.h>`

Collaboration diagram for psa_aead_operation_s:
[legend]

## Data Fields

psa_algorithm_t | alg
unsigned int | key_set: 1
unsigned int | iv_set: 1
uint8_t | iv_size
uint8_t | block_size
union {
unsigned dummy
mbedtls_cipher_context_t cipher
} | ctx

## Detailed Description

Definition at line 152 of file crypto_struct.h.

## Field Documentation

## alg

psa_algorithm_t psa_aead_operation_s::alg

Definition at line 154 of file crypto_struct.h.

## block_size

uint8_t psa_aead_operation_s::block_size

Definition at line 158 of file crypto_struct.h.

## cipher

mbedtls_cipher_context_t psa_aead_operation_s::cipher

Definition at line 162 of file crypto_struct.h.

##

union { ... } psa_aead_operation_s::ctx

## dummy

unsigned psa_aead_operation_s::dummy

Definition at line 161 of file crypto_struct.h.

## iv_set

unsigned int psa_aead_operation_s::iv_set

Definition at line 156 of file crypto_struct.h.

## iv_size

uint8_t psa_aead_operation_s::iv_size

Definition at line 157 of file crypto_struct.h.

## key_set

unsigned int psa_aead_operation_s::key_set

Definition at line 155 of file crypto_struct.h.

The documentation for this struct was generated from the following file:

- crypto_struct.h